Failed to download the sources for repository

I’ve my streamlit_app,py here in my public repository

I tried deploying this app using streamlit but got the following errors:

App works fine locally, but is giving errors after pushing to github and using it in streamlit
So what to do?

2 Likes

I’m facing the same issue, I have granted access to Streamlit. But it still does not work

1 Like

Hi everyone :wave:

Could you try the following and let us know if this issue persists:

  1. Delete your app on Streamlit Cloud
  2. Re-deploy your app on share.streamlit.io

Hey @snehankekre ,
I already tried doing what you’ve mentioned before (2-3 times), but that issue was not resolved

cc @Alex_Toader

Hey how was your issue?
I’m facing the same thing here, been tried to re-deploy 4 times but nothing change. Any advice?

1 Like

@Alex_Toader any updates sir?

@PATHIK_GHUGARE @TruongDinhDTri the issue should be resolved, but it requires deleting and recreating your app. If this still doesn’t work, could you please share the URL to your application so that we investigate?

Thank you!

1 Like

No @Alex_Toader its not resolved :frowning:
Here’s the link to the streamlit app :
https://pathikg-underwater-fish-detection-appstreamlit-app-f8ceo3.streamlitapp.com/

Respective location of streamlit_app.py in the github repo:

Here’s my url:
https://truongdinhdtri-vietnamesetextsearchengine-streamlit-app-6iy9ek.streamlitapp.com/

and this link to the streamlit_app.py at this github:

Any updates @Alex_Toader and @snehankekre ?

Any update on this issue? (@Alex_Toader & @snehankekre) Seems that this is affecting a couple of streamlit cloud user (including myself).
Deleting and re-deploying app doesn’t solve the problem.

Hi! We were investigating the issue, but we have not found the root cause. I have raised the priority on this item. I will update the thread as soon as we have some additional information but not later than 24 hours.

Alex

We have released a change that we believe should resolve this issue. Can you delete and redeploy your application?

1 Like

HI @Alex_Toader

To some degress it works, but it stuck on different stage now…

[     UTC     ] Logs for johanespao-colorskim-colorskim-appstreamlit-serv-aplikas-6pvinj.streamlitapp.com/
────────────────────────────────────────────────────────────────────────────────────────
[09:29:16] πŸ–₯ Provisioning machine...
[09:29:21] πŸŽ› Preparing system...
[09:29:27] β›“ Spinning up manager process...
[09:29:14] πŸš€ Starting up repository: 'colorskim', branch: 'aplikasi', main module: 'colorskim_app/streamlit-serv.py'
[09:29:14] πŸ™ Cloning repository...
[09:29:17] πŸ™ Cloning into '/app/colorskim'...
[09:29:17] πŸ™ Cloned repository!
[09:29:17] πŸ™ Pulling code changes from Github...
[09:29:18] πŸ“¦ Processing dependencies...
──────────────────────────────────────── pip ───────────────────────────────────────────
Collecting pip==22.1.2
  Downloading pip-22.1.2-py3-none-any.whl (2.1 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 2.1/2.1 MB 52.9 MB/s eta 0:00:00[2022-08-23 09:29:19.219097] 
Collecting protobuf==3.19.4
  Downloading protobuf-3.19.4-cp39-cp39-manylinux_2_17_x86_64.manylinux2014_x86_64.whl (1.1 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 1.1/1.1 MB 201.7 MB/s eta 0:00:00[2022-08-23 09:29:19.670669] 
Collecting streamlit==1.12.0
  Downloading streamlit-1.12.0-py2.py3-none-any.whl (9.1 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 9.1/9.1 MB 151.2 MB/s eta 0:00:00[2022-08-23 09:29:19.845640] 
'...
'...
'...
Collecting executing
  Downloading executing-0.10.0-py2.py3-none-any.whl (17 kB)
Building wheels for collected packages: termcolor, validators
  Building wheel for termcolor (setup.py): started
  Building wheel for termcolor (setup.py): finished with status 'done'
  Created wheel for termcolor: filename=termcolor-1.1.0-py3-none-any.whl size=4832 sha256=5d5a21c5ca1ebeb8217f9bff9be337a868f68c7c4563e0876381e46ebe73eb2e
  Stored in directory: /tmp/pip-ephem-wheel-cache-8in70dgg/wheels/b6/0d/90/0d1bbd99855f99cb2f6c2e5ff96f8023fad8ec367695f7d72d
  Building wheel for validators (setup.py): started
  Building wheel for validators (setup.py): finished with status 'done'
  Created wheel for validators: filename=validators-0.20.0-py3-none-any.whl size=19579 sha256=3737af8c9f889901243ecb52a0e0c3ead29175f334de47e3dc8eadc4b79b539a
  Stored in directory: /tmp/pip-ephem-wheel-cache-8in70dgg/wheels/2d/f0/a8/1094fca7a7e5d0d12ff56e0c64675d72aa5cc81a5fc200e849
Successfully built termcolor validators
Installing collected packages: wcwidth, termcolor, tensorboard-plugin-wit, pytz, python-decouple, pyasn1, pure-eval, ptyprocess, pickleshare, libclang, keras, flatbuffers, executing, commonmark, backcall, zipp, wrapt, widgetsnbextension, wheel, watchdog, urllib3, tzdata, typing-extensions, traitlets, tornado, toolz, toml, threadpoolctl, tensorflow-io-gcs-filesystem, tensorflow-estimator, tensorboard-data-server, smmap, six, setuptools, semver, rsa, pyzmq, pyrsistent, pyparsing, pympler, pygments, pyasn1-modules, psutil, protobuf, prompt-toolkit, pip, pillow, pexpect, parso, oauthlib, numpy, nest-asyncio, MarkupSafe, jupyterlab-widgets, joblib, idna, gast, entrypoints, decorator, debugpy, click, charset-normalizer, certifi, cachetools, blinker, attrs, absl-py, werkzeug, validators, scipy, rich, requests, pytz-deprecation-shim, python-dateutil, pyarrow, packaging, opt-einsum, matplotlib-inline, keras-preprocessing, jupyter-core, jsonschema, jinja2, jedi, importlib-metadata, h5py, grpcio, google-pasta, google-auth, gitdb, astunparse, asttokens, tzlocal, stack-data, scikit-learn, requests-oauthlib, pandas, markdown, jupyter-client, gitpython, ipython, google-auth-oauthlib, altair, tensorboard, ipykernel, tensorflow-cpu, ipywidgets, pydeck, streamlit, streamlit-aggrid
  Attempting uninstall: wheel
    Found existing installation: wheel 0.37.1
    Uninstalling wheel-0.37.1:
      Successfully uninstalled wheel-0.37.1
  Attempting uninstall: setuptools
    Found existing installation: setuptools 63.4.1
    Uninstalling setuptools-63.4.1:
      Successfully uninstalled setuptools-63.4.1
  Attempting uninstall: pip
    Found existing installation: pip 22.0.3
    Uninstalling pip-22.0.3:
      Successfully uninstalled pip-22.0.3
Successfully installed MarkupSafe-2.1.1 absl-py-1.2.0 altair-4.2.0 asttokens-2.0.8 astunparse-1.6.3 attrs-22.1.0 backcall-0.2.0 blinker-1.5 cachetools-5.2.0 certifi-2022.6.15 charset-normalizer-2.1.1 click-8.1.3 commonmark-0.9.1 debugpy-1.6.3 decorator-5.1.1 entrypoints-0.4 executing-0.10.0 flatbuffers-1.12 gast-0.4.0 gitdb-4.0.9 gitpython-3.1.27 google-auth-2.11.0 google-auth-oauthlib-0.4.6 google-pasta-0.2.0 grpcio-1.47.0 h5py-3.7.0 idna-3.3 importlib-metadata-4.12.0 ipykernel-6.15.1 ipython-8.4.0 ipywidgets-8.0.1 jedi-0.18.1 jinja2-3.1.2 joblib-1.1.0 jsonschema-4.14.0 jupyter-client-7.3.4 jupyter-core-4.11.1 jupyterlab-widgets-3.0.2 keras-2.9.0 keras-preprocessing-1.1.2 libclang-14.0.6 markdown-3.4.1 matplotlib-inline-0.1.6 nest-asyncio-1.5.5 numpy-1.23.1 oauthlib-3.2.0 opt-einsum-3.3.0 packaging-21.3 pandas-1.4.3 parso-0.8.3 pexpect-4.8.0 pickleshare-0.7.5 pillow-9.2.0 pip-22.1.2 prompt-toolkit-3.0.30 protobuf-3.19.4 psutil-5.9.1 ptyprocess-0.7.0 pure-eval-0.2.2 pyarrow-9.0.0 pyasn1-0.4.8 pyasn1-modules-0.2.8 pydeck-0.7.1 pygments-2.13.0 pympler-1.0.1 pyparsing-3.0.9 pyrsistent-0.18.1 python-dateutil-2.8.2 python-decouple-3.6 pytz-2022.2.1 pytz-deprecation-shim-0.1.0.post0 pyzmq-23.2.1 requests-2.28.1 requests-oauthlib-1.3.1 rich-12.5.1 rsa-4.9 scikit-learn-1.1.1 scipy-1.9.0 semver-2.13.0 setuptools-65.2.0 six-1.16.0 smmap-5.0.0 stack-data-0.4.0 streamlit-1.12.0 streamlit-aggrid-0.3.2 tensorboard-2.9.1 tensorboard-data-server-0.6.1 tensorboard-plugin-wit-1.8.1 tensorflow-cpu-2.9.1 tensorflow-estimator-2.9.0 tensorflow-io-gcs-filesystem-0.26.0 termcolor-1.1.0 threadpoolctl-3.1.0 toml-0.10.2 toolz-0.12.0 tornado-6.2 traitlets-5.3.0 typing-extensions-4.3.0 tzdata-2022.2 tzlocal-4.2 urllib3-1.26.12 validators-0.20.0 watchdog-2.1.9 wcwidth-0.2.5 werkzeug-2.2.2 wheel-0.37.1 widgetsnbextension-4.0.2 wrapt-1.14.1 zipp-3.8.1
Checking if Streamlit is installed
Found Streamlit version 1.12.0 in the environment
Streamlit 1.12.0 is present. Installing click 8
Collecting click==8
  Downloading click-8.0.0-py3-none-any.whl (96 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 96.9/96.9 kB 7.7 MB/s eta 0:00:00[2022-08-23 09:30:28.005016] 
Installing collected packages: click
  Attempting uninstall: click
    Found existing installation: click 8.1.3
    Uninstalling click-8.1.3:
      Successfully uninstalled click-8.1.3
Successfully installed click-8.0.0
[notice] A new release of pip available: 22.1.2 -> 22.2.2
[notice] To update, run: pip install --upgrade pip
Streamlit 1.12.0 is present. Installing protobuf 3.20.1
Collecting protobuf==3.20.1
  Downloading protobuf-3.20.1-cp39-cp39-manylinux_2_5_x86_64.manylinux1_x86_64.whl (1.0 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 1.0/1.0 MB 23.7 MB/s eta 0:00:00[2022-08-23 09:30:30.107247] 
Installing collected packages: protobuf
  Attempting uninstall: protobuf
    Found existing installation: protobuf 3.19.4
    Uninstalling protobuf-3.19.4:
      Successfully uninstalled protobuf-3.19.4
ERROR: pip's dependency resolver does not currently take into account all the packages that are installed. This behaviour is the source of the following dependency conflicts.
tensorflow-cpu 2.9.1 requires protobuf<3.20,>=3.9.2, but you have protobuf 3.20.1 which is incompatible.
tensorboard 2.9.1 requires protobuf<3.20,>=3.9.2, but you have protobuf 3.20.1 which is incompatible.
Successfully installed protobuf-3.20.1
[notice] A new release of pip available: 22.1.2 -> 22.2.2
[notice] To update, run: pip install --upgrade pip
────────────────────────────────────────────────────────────────────────────────────────
[09:30:32] 🐍 Python dependencies were installed from /app/colorskim/requirements.txt using pip.
Check if streamlit is installed
Streamlit is already installed
[09:30:33] πŸ“¦ Processed dependencies!
Usage: streamlit run [OPTIONS] TARGET [ARGS]...
Try 'streamlit run --help' for help.
Error: Invalid value: File does not exist: colorskim_app/streamlit-serv.py
[09:30:41] ❗️ The service has encountered an error while checking the health of the Streamlit app: Get "http://localhost:8501/healthz": dial tcp 127.0.0.1:8501: connect: connection refused

As can be seen above, the app successfully cloning the repo, unlike yesterday which failed cloning repo. However now I’m stuck at File does not exist: colorskim_app/streamlit-serv.py when it is actually exist.

Streamlit Cloud App: https://johanespao-colorskim-colorskim-appstreamlit-serv-aplikas-6pvinj.streamlitapp.com/
Repo: GitHub - johanesPao/ColorSkim at aplikasi

I just reboot the latest redeployed instance which failed with error of file not exist, now it looks okay.

We are investigating this issue as well. It seems to be related to another change in the system. cc: @afafore1

Thanks a lot @Alex_Toader
Mine is working :raised_hands:

Hi,

Are there any news regarding this issue?

I’ve been experiencing this problem for two days and none of the proposed solutions have worked for me (deleting and re-creating app, revoking rights to github and granting again or any other combination).

I don’t know if this will help but creating the app on an earlier commit of my Github repo branch solves the issue. The only difference between the versions are data files (csv files added).

Thanks in advance

Hi,

After trying everything I could think of, I finally created a new repo and added the files required for the app.
The streamlit app deployed from this new repo works.

Hope it will help